## kf6-breeze-icons 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
project(BreezeIcons VERSION ${KF_VERSION})

# Disallow in-source build
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "Breeze Icons requires an out-of-source build. Please create a separate build directory and run 'cmake path_to_breeze_icons [options]' there.")
endif()

# ECM setup
include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(GtkUpdateIconCache)
include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMSetupVersion)

# Dependencies
set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Gui)

# Find Python 3
find_package(Python 3 COMPONENTS Interpreter)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

if(Python_FOUND)
    # Find lxml Python 3 module
    exec_program(${Python_EXECUTABLE}
        ARGS "-c \"import lxml; from lxml import etree; print(lxml.get_include())\""
        RETURN_VALUE LXML_NOT_FOUND # Returns 0 or false if successful
    )

    # Generating icons is not required, but strongly recommended in most cases
    if(LXML_NOT_FOUND)
        message(WARNING "lxml or lxml.etree not found; icon generation disabled")
        set(WITH_ICON_GENERATION OFF)
    else()
        option(WITH_ICON_GENERATION "Icon generation" ON)
    endif()
else()
    set(WITH_ICON_GENERATION OFF)
endif()

add_feature_info("Icon generation" ${WITH_ICON_GENERATION} "for 24x24 and symbolic dark icons.
   This feature requires Python 3 and the lxml Python 3 module."
) # The exact amount of indentation used in the line(s) above is intentional

# don't install the individual icons
# useful if you only want to link with the generated icon library
option(SKIP_INSTALL_ICONS "Skip installing the icons files" OFF)

# pure compatibility option for e.g. Kexi, not used in general and wastes disk space
# FIXME: remove after e.g. Kexi is ported
option(BINARY_ICONS_RESOURCE "Install Qt binary resource file containing breeze icons (breeze-icons.rcc), should only be used if needed for compatibility" OFF)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6BreezeIcons")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6BreezeIconsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

ecm_setup_version(PROJECT
  VARIABLE_PREFIX BREEZEICONS
  VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/breezeicons_version.h
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfigVersion.cmake"
  SOVERSION 6)

install(EXPORT KF6BreezeIconsTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF6BreezeIconsTargets.cmake
  NAMESPACE KF6::
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/breezeicons_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons COMPONENT Devel)

add_subdirectory(autotests)
add_subdirectory(icons)
add_subdirectory(icons-dark)
add_subdirectory(src)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES INCLUDE_QUIET_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-breeze-icons 6.3.0

=== debian/changelog ===
kf6-breeze-icons (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:50:05 +0200

kf6-breeze-icons (6.0.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Re-enable building the icons library as suggested by upstrean.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Modernize building by using dh-sequence build-dependencies and
    dropping manually specified addons and buildsystems for dh.

 -- Patrick Franz <deltaone@debian.org>  Thu, 23 May 2024 23:55:49 +0200

kf6-breeze-icons (6.0.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable building the icons library as suggested by upstrean.
  * Update lintian-overrides.

  [ Simon Quigley ]
  * Team upload.
  * Only run override_dh_install commands if the target directory exists.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 16 May 2024 13:23:02 -0500

kf6-breeze-icons (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 07 Apr 2024 00:15:47 +0200

breeze-icons (4:5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 12:47:15 +0100

breeze-icons (4:5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:25 +0200

breeze-icons (4:5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:46 +0100

breeze-icons (4:5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:21 +0100

breeze-icons (4:5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:34:59 +0100

breeze-icons (4:5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:19 +0100

breeze-icons (4:5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:55 +0100

breeze-icons (4:5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:33 +0200

breeze-icons (4:5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:25 +0200

breeze-icons (4:5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:54 +0200

breeze-icons (4:5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:01 +0200

breeze-icons (4:5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * Drop patch
    backport-test-fix_eb684892d7528cf4790cbcaf65b2fe1abda5e114.patch, applied
    upstream.
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:42 +0200

breeze-icons (4:5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).
  * Cherry-pick upstream fixes for HiRes icons.

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0) (Closes: #1000682).
  * Added myself to the uploaders.
  * Drop patches applied upstream.
  * Backport upstream commits to fix failing tests.
  * Add Breaks: kdenlive-data (<< 21.04.3-2). (Closes: #992320)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:40 +0100

breeze-icons (4:5.88.0-2) unstable; urgency=medium

  * Revert changes that trigger upstream bug 445518
    "KDE Plasma doesn't respect icon theme for some applications and
     application icons"

 -- Norbert Preining <norbert@preining.info>  Sun, 21 Nov 2021 08:39:42 +0900

breeze-icons (4:5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

breeze-icons (4:5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:48:34 +0900

breeze-icons (4:5.85.0-2) unstable; urgency=medium



=== debian/control ===
Source: kf6-breeze-icons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.3.0~),
               fdupes,
               libxkbcommon-dev,
               libxml2-utils,
               pkgconf,
               python3-lxml,
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/breeze-icons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-breeze-icons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-breeze-icons.git
Rules-Requires-Root: no

Package: kf6-breeze-icon-theme
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: hicolor-icon-theme, ${misc:Depends},
Breaks: breeze-icon-theme,
Replaces: breeze-icon-theme,
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: kf6-breeze-icon-theme-rcc
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: breeze-icon-theme-rcc,
Replaces: breeze-icon-theme-rcc,
Description: RCC resources for the breeze icon theme
 Breeze is the default icon theme for the KDE Plasma 6 desktop. This package
 contains the icons in RCC format.
 .
 This package is part of the Breeze theme module.

Package: libkf6breezeicons-dev
Section: libdevel
Architecture: any
Depends: kf6-breeze-icon-theme-rcc,
         libkf6breezeicons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: Default Plasma icon theme (development files)
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.
 .
 This package contains the development files.

Package: libkf6breezeicons6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

## kf6-breeze-icons 6.6.0

=== debian/changelog ===
kf6-breeze-icons (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Revert upstream commit 931fc452 which breaks folder icons in KF5
    apps. (Closes: #1079542)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 22:59:08 +0200

kf6-breeze-icons (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:21:56 +0200

kf6-breeze-icons (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.
  * Remove Provides of KF5 breeze-icon-theme and breeze-icon-theme-rcc because
    they have a different epoch and versioned dependencies won’t work.
  * Make Breaks / Replaces versioned so the dummy transitional KF5 packages
    are actually coinstallable with the KF6 versions.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 00:52:56 +0200

kf6-breeze-icons (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add Provides for the icon-themes packages.

 -- Patrick Franz <deltaone@debian.org>  Sun, 07 Jul 2024 22:38:54 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                fdupes,
                libxkbcommon-dev,
                libxml2-utils,
@@ -26,8 +26,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: hicolor-icon-theme, ${misc:Depends},
-Breaks: breeze-icon-theme,
-Replaces: breeze-icon-theme,
+Breaks: breeze-icon-theme (<< 4:5.115.0-3~),
+Replaces: breeze-icon-theme (<< 4:5.115.0-3~),
 Description: Default Plasma icon theme
  This is the default icon theme for the KDE Plasma 6 desktop.
  .
@@ -38,8 +38,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: breeze-icon-theme-rcc,
-Replaces: breeze-icon-theme-rcc,
+Breaks: breeze-icon-theme-rcc (<< 4:5.115.0-3~),
+Replaces: breeze-icon-theme-rcc (<< 4:5.115.0-3~),
 Description: RCC resources for the breeze icon theme
  Breeze is the default icon theme for the KDE Plasma 6 desktop. This package
  contains the icons in RCC format.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/breeze-icons-([\d.]+)\.tar\.xz

## kf6-breeze-icons 6.9.0

=== debian/changelog ===
kf6-breeze-icons (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:43:45 +0000

kf6-breeze-icons (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:33:41 +0000

kf6-breeze-icons (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:03:42 +0100

kf6-breeze-icons (6.5.0-0ubuntu3) oracular; urgency=medium

  * Revert upstream commit 31fc4520ceb9e which breaks display of folder
    icons in KF5 apps.

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Aug 2024 10:35:55 +0100

kf6-breeze-icons (6.5.0-0ubuntu2) oracular; urgency=medium

  * Version Breaks/Replaces for kf5 to kf6 upgrade.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Aug 2024 00:14:23 +0100

kf6-breeze-icons (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:20:44 +0100

kf6-breeze-icons (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:32:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kf6-breeze-icons
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                fdupes,
                libxkbcommon-dev,
                libxml2-utils,
@@ -17,29 +18,31 @@
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/breeze-icons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-breeze-icons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-breeze-icons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-breeze-icons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-breeze-icons
 Rules-Requires-Root: no
 
 Package: kf6-breeze-icon-theme
+Provides: breeze-icon-theme
 Section: kde
 Architecture: all
 Multi-Arch: foreign
 Depends: hicolor-icon-theme, ${misc:Depends},
-Breaks: breeze-icon-theme (<< 4:5.115.0-3~),
-Replaces: breeze-icon-theme (<< 4:5.115.0-3~),
+Breaks: breeze-icon-theme (<< 4:5.116.0-0ubuntu2~),
+Replaces: breeze-icon-theme (<< 4:5.116.0-0ubuntu2~),
 Description: Default Plasma icon theme
  This is the default icon theme for the KDE Plasma 6 desktop.
  .
  This package is part of the Breeze theme module.
 
 Package: kf6-breeze-icon-theme-rcc
+Provides: breeze-icon-theme-rcc
 Section: kde
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: breeze-icon-theme-rcc (<< 4:5.115.0-3~),
-Replaces: breeze-icon-theme-rcc (<< 4:5.115.0-3~),
+Breaks: breeze-icon-theme-rcc (<< 4:5.116.0-0ubuntu2~),
+Replaces: breeze-icon-theme-rcc (<< 4:5.116.0-0ubuntu2~),
 Description: RCC resources for the breeze icon theme
  Breeze is the default icon theme for the KDE Plasma 6 desktop. This package
  contains the icons in RCC format.

## kf6-breeze-icons 6.10.0

=== debian/changelog ===
kf6-breeze-icons (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commit, now part of the upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:20:31 +0100

kf6-breeze-icons (6.8.0-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit af789482941aea45a29a485b44631e06d1dd359f to not
    make ScalableTest::test_scalableDuplicates() fail when breeze-icon was
    configured with -DSKIP_INSTALL_ICONS=ON; patch
    upstream_tests-ignore-missing-index.theme-in-ScalableTest-tes.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Dec 2024 18:36:59 +0100

kf6-breeze-icons (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 11:57:20 +0100

kf6-breeze-icons (6.7.0-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 6.6.0-2.

 -- Pino Toscano <pino@debian.org>  Sat, 23 Nov 2024 10:05:03 +0100

kf6-breeze-icons (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:22 -0600

kf6-breeze-icons (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Drop override_dh_auto_install, as it does not do anything different than
    the default behaviour (i.e. it already installs to debian/tmp).
  * Drop the -DICONS_LIBRARY=ON cmake argument, as it does not exist.
  * Switch override_dh_install to execute_after_dh_install-indep:
    - the dh_install call used a wrong --sourcedir
    - the content actually applies only to indep builds, so the conditional for
      debian/kf6-breeze-icon-theme can be dropped
  * CI: update/simplify configuration.
  * Simplify the arch-only builds by not building/installing the icons:
    - move the fdupes, libxml2-utils, and python3-lxml build dependencies as
      Build-Depends-Indep
    - enable the cmake arguments BINARY_ICONS_RESOURCE, and WITH_ICON_GENERATION
      when building indep packages
    - enable the cmake argument SKIP_INSTALL_ICONS when not building indep
      packages
  * Drop the unused libxkbcommon-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Sat, 23 Nov 2024 09:13:03 +0100

=== debian/control ===
Source: kf6-breeze-icons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
Build-Depends-Indep: fdupes, libxml2-utils, python3-lxml,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/breeze-icons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-breeze-icons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-breeze-icons.git
Rules-Requires-Root: no

Package: kf6-breeze-icon-theme
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: hicolor-icon-theme, ${misc:Depends},
Breaks: breeze-icon-theme (<< 4:5.115.0-3~),
Replaces: breeze-icon-theme (<< 4:5.115.0-3~),
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: kf6-breeze-icon-theme-rcc
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: breeze-icon-theme-rcc (<< 4:5.115.0-3~),
Replaces: breeze-icon-theme-rcc (<< 4:5.115.0-3~),
Description: RCC resources for the breeze icon theme
 Breeze is the default icon theme for the KDE Plasma 6 desktop. This package
 contains the icons in RCC format.
 .
 This package is part of the Breeze theme module.

Package: libkf6breezeicons-dev
Section: libdevel
Architecture: any
Depends: kf6-breeze-icon-theme-rcc,
         libkf6breezeicons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
Description: Default Plasma icon theme (development files)
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.
 .
 This package contains the development files.

Package: libkf6breezeicons6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

## kf6-breeze-icons 6.11.0

=== debian/changelog ===
kf6-breeze-icons (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:57:24 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                pkgconf,
                qt6-base-dev (>= 6.6.0~),
 Build-Depends-Indep: fdupes, libxml2-utils, python3-lxml,

## kf6-breeze-icons 6.12.0

=== debian/changelog ===
kf6-breeze-icons (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:49:05 +0000

kf6-breeze-icons (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:45:03 +0000

kf6-breeze-icons (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:16:43 +0000

=== debian/control ===
Source: kf6-breeze-icons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.12.0~),
               fdupes,
               libxkbcommon-dev,
               libxml2-utils,
               pkgconf,
               python3-lxml,
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/breeze-icons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-breeze-icons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-breeze-icons
Rules-Requires-Root: no

Package: kf6-breeze-icon-theme
Provides: breeze-icon-theme
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: hicolor-icon-theme, ${misc:Depends},
Breaks: breeze-icon-theme (<< 4:5.116.0-0ubuntu2~),
Replaces: breeze-icon-theme (<< 4:5.116.0-0ubuntu2~),
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: kf6-breeze-icon-theme-rcc
Provides: breeze-icon-theme-rcc
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: breeze-icon-theme-rcc (<< 4:5.116.0-0ubuntu2~),
Replaces: breeze-icon-theme-rcc (<< 4:5.116.0-0ubuntu2~),
Description: RCC resources for the breeze icon theme
 Breeze is the default icon theme for the KDE Plasma 6 desktop. This package
 contains the icons in RCC format.
 .
 This package is part of the Breeze theme module.

Package: libkf6breezeicons-dev
Section: libdevel
Architecture: any
Depends: kf6-breeze-icon-theme-rcc,
         libkf6breezeicons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: Default Plasma icon theme (development files)
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.
 .
 This package contains the development files.

Package: libkf6breezeicons6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- -DBINARY_ICONS_RESOURCE=ON -DWITH_ICON_GENERATION=ON -DICONS_LIBRARY=ON

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install --sourcedir=debian/kf6-breeze-icon-theme
	if [ -d debian/kf6-breeze-icon-theme ]; then \
		rm debian/kf6-breeze-icon-theme/usr/share/icons/*/*.rcc; \
		find $(CURDIR)/debian/kf6-breeze-icon-theme -type d -print0 |xargs -0 rmdir --ignore-fail-on-non-empty; \
		bash $(CURDIR)/debian/symlink_duplicates.sh $(CURDIR)/debian/kf6-breeze-icon-theme $(CURDIR)/debian/kf6-breeze-icon-theme/usr/share/icons; \
	fi

## kf6-breeze-icons 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
 project(BreezeIcons VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -10,7 +10,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

if(BUILD_TESTING)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Test)

    configure_file(testdata.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/testdata.h)
    ecm_add_test(scalabletest.cpp
        TEST_NAME "scalable"
        LINK_LIBRARIES Qt6::Test
    )
    if(WITH_ICON_GENERATION)
        add_test(NAME "test24x24icons" COMMAND ${Python_EXECUTABLE} ${CMAKE_SOURCE_DIR}/autotests/test24x24icons.py
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        )
    endif()
endif()

=== src/CMakeLists.txt ===
# tools to help to check and generate icons and resource files
add_subdirectory(tools)

# library to use by apps to get Breeze icons via Qt resources
add_subdirectory(lib)

=== src/lib/CMakeLists.txt ===
# helper functions to ensure we load the icon theme
set(kbreezeicons_SRCS breezeicons.cpp)

# avoid dependency cycle with add resource
set(CMAKE_AUTOMOC OFF)

# generate resource file for all breeze icons
set(RESOURCE_FILE ${CMAKE_CURRENT_BINARY_DIR}/breeze-icons.qrc)
set(RESOURCE_FILE_BINARY ${CMAKE_CURRENT_BINARY_DIR}/breeze-icons.rcc)

# we only will use the normal icons, we do recoloring later
# we run the tool over the dark ones just to do all checks on them, too
add_custom_command(OUTPUT ${RESOURCE_FILE}
    COMMAND qrcAlias -o ${RESOURCE_FILE} ${CMAKE_SOURCE_DIR}/icons ${CMAKE_BINARY_DIR}/breeze-icons # used for the resource
    COMMAND qrcAlias -o ${RESOURCE_FILE}.dark.dummy ${CMAKE_SOURCE_DIR}/icons-dark ${CMAKE_BINARY_DIR}/breeze-icons-dark # used for checking only
    COMMAND Qt6::rcc --binary -o ${RESOURCE_FILE_BINARY} ${RESOURCE_FILE} # FIXME: remove after e.g. Kexi is ported
    DEPENDS qrcAlias breeze-generate-24px-versions breeze-generate-24px-versions-dark # ensure we run after the generation steps
    USES_TERMINAL
)

# install as compatibility resource file if really requested
# FIXME: remove after e.g. Kexi is ported
if(BINARY_ICONS_RESOURCE)
    install(FILES ${RESOURCE_FILE_BINARY} DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/breeze)
endif()

# use normal resource adding, big resource variant has issue with LTO
qt_add_resources(kbreezeicons_resource_SRCS
    ${RESOURCE_FILE}
    OPTIONS --root /icons/breeze
)

add_library(KF6BreezeIcons ${kbreezeicons_resource_SRCS} ${kbreezeicons_SRCS})
add_library(KF6::BreezeIcons ALIAS KF6BreezeIcons)

set_target_properties(KF6BreezeIcons
    PROPERTIES
        VERSION ${BREEZEICONS_VERSION}
        SOVERSION ${BREEZEICONS_SOVERSION}
        EXPORT_NAME BreezeIcons
)

generate_export_header(KF6BreezeIcons BASE_NAME BreezeIcons)

target_include_directories(KF6BreezeIcons
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons>"
)

target_link_libraries(KF6BreezeIcons
    PUBLIC
        Qt6::Gui
)

ecm_generate_headers(KF6BreezeIcons_CamelCase_HEADERS
    HEADER_NAMES
        BreezeIcons

    REQUIRED_HEADERS
        KF6BreezeIcons_HEADERS
)

install(TARGETS KF6BreezeIcons EXPORT KF6BreezeIconsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/breezeicons_export.h
    ${KF6BreezeIcons_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons
    COMPONENT Devel
)

install(FILES
    ${KF6BreezeIcons_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons
    COMPONENT Devel
)

=== src/tools/CMakeLists.txt ===
# takes light theme icons and makes modified copies of them with dark theme stylesheets
add_executable(generate-symbolic-dark generate-symbolic-dark.cpp)
target_link_libraries(generate-symbolic-dark PRIVATE Qt6::Core)
ecm_mark_nongui_executable(generate-symbolic-dark)

# qrc generator
add_executable(qrcAlias qrcAlias.cpp)
target_link_libraries(qrcAlias PRIVATE Qt6::Core)
ecm_mark_nongui_executable(qrcAlias)

=== debian/changelog ===
kf6-breeze-icons (6.13.0-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport additional build fix for the huge icons issue.
  * Backport upstream commit:
    - Fix certain symbolic icons showing up as white rectangles in GTK3.
    (kde#504741)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Jun 2025 12:13:47 +0200

kf6-breeze-icons (6.13.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Similar to what upstream does with commit fee5f10c, stop shipping
    non-symbolic status icons for telegram which otherwise breaks its
    icon in the system tray when not using the symbolic theme. (kde#502049)
  * Backport upstream commits:
    - Fix huge icons in some GTK apps like virt-manager. (kde#493975)
    - Correctly center 22px audio-input-microphone icon. (kde#503930)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 16 May 2025 23:49:05 +0200

kf6-breeze-icons (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:34:15 +0200

=== debian/control ===
Source: kf6-breeze-icons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.13.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
Build-Depends-Indep: fdupes, libxml2-utils, python3-lxml,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/breeze-icons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-breeze-icons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-breeze-icons.git
Rules-Requires-Root: no

Package: kf6-breeze-icon-theme
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: hicolor-icon-theme, ${misc:Depends},
Breaks: breeze-icon-theme (<< 4:5.115.0-3~),
Replaces: breeze-icon-theme (<< 4:5.115.0-3~),
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: kf6-breeze-icon-theme-rcc
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: breeze-icon-theme-rcc (<< 4:5.115.0-3~),
Replaces: breeze-icon-theme-rcc (<< 4:5.115.0-3~),
Description: RCC resources for the breeze icon theme
 Breeze is the default icon theme for the KDE Plasma 6 desktop. This package
 contains the icons in RCC format.
 .
 This package is part of the Breeze theme module.

Package: libkf6breezeicons-dev
Section: libdevel
Architecture: any
Depends: kf6-breeze-icon-theme-rcc,
         libkf6breezeicons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
Description: Default Plasma icon theme (development files)
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.
 .
 This package contains the development files.

Package: libkf6breezeicons6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DBINARY_ICONS_RESOURCE=$(if $(filter kf6-breeze-icon-theme, $(shell dh_listpackages)),ON,OFF) \
	  -DWITH_ICON_GENERATION=$(if $(filter kf6-breeze-icon-theme, $(shell dh_listpackages)),ON,OFF) \
	  -DSKIP_INSTALL_ICONS=$(if $(filter kf6-breeze-icon-theme, $(shell dh_listpackages)),OFF,ON)

execute_after_dh_install-indep:
	rm debian/kf6-breeze-icon-theme/usr/share/icons/*/*.rcc
	find $(CURDIR)/debian/kf6-breeze-icon-theme -type d -print0 | xargs -0 rmdir --ignore-fail-on-non-empty
	bash $(CURDIR)/debian/symlink_duplicates.sh $(CURDIR)/debian/kf6-breeze-icon-theme $(CURDIR)/debian/kf6-breeze-icon-theme/usr/share/icons
	# KDE bug #502049
	rm debian/kf6-breeze-icon-theme/usr/share/icons/breeze/status/22/org.telegram.desktop-attention.svg
	rm debian/kf6-breeze-icon-theme/usr/share/icons/breeze/status/22/org.telegram.desktop-mute.svg
	rm debian/kf6-breeze-icon-theme/usr/share/icons/breeze/status/22/org.telegram.desktop.svg
	rm debian/kf6-breeze-icon-theme/usr/share/icons/breeze-dark/status/22/org.telegram.desktop-attention.svg
	rm debian/kf6-breeze-icon-theme/usr/share/icons/breeze-dark/status/22/org.telegram.desktop-mute.svg
	rm debian/kf6-breeze-icon-theme/usr/share/icons/breeze-dark/status/22/org.telegram.desktop.svg

## kf6-breeze-icons 6.16.0

=== debian/changelog ===
kf6-breeze-icons (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)
  * Drop included upstream_use-big-resource-variant.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:38:49 +0100

kf6-breeze-icons (6.15.0-0ubuntu2) questing; urgency=medium

  * Add upstream_use-big-resource-variant.patch
    to better fix 32 bit build.
    https://invent.kde.org/frameworks/breeze-icons/-/merge_requests/481
  * Disable LTO to work with big-resource.

 -- Rik Mills <rikmills@kde.org>  Sat, 14 Jun 2025 18:32:40 +0100

kf6-breeze-icons (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Revert 2 upstream changes that cause OOM on Ubuntu armhf buildds.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:30:32 +0100

kf6-breeze-icons (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * Drop kubuntu_revert-upstream-31fc4520ceb9e.patch, not needed in
    25.10.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:54:59 +0100

=== debian/control ===
Source: kf6-breeze-icons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.16.0~),
               fdupes,
               libxkbcommon-dev,
               libxml2-utils,
               pkgconf,
               python3-lxml,
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/breeze-icons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-breeze-icons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-breeze-icons
Rules-Requires-Root: no

Package: kf6-breeze-icon-theme
Provides: breeze-icon-theme
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: hicolor-icon-theme, ${misc:Depends},
Breaks: breeze-icon-theme (<< 4:5.116.0-0ubuntu2~),
Replaces: breeze-icon-theme (<< 4:5.116.0-0ubuntu2~),
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: kf6-breeze-icon-theme-rcc
Provides: breeze-icon-theme-rcc
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: breeze-icon-theme-rcc (<< 4:5.116.0-0ubuntu2~),
Replaces: breeze-icon-theme-rcc (<< 4:5.116.0-0ubuntu2~),
Description: RCC resources for the breeze icon theme
 Breeze is the default icon theme for the KDE Plasma 6 desktop. This package
 contains the icons in RCC format.
 .
 This package is part of the Breeze theme module.

Package: libkf6breezeicons-dev
Section: libdevel
Architecture: any
Depends: kf6-breeze-icon-theme-rcc,
         libkf6breezeicons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: Default Plasma icon theme (development files)
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.
 .
 This package contains the development files.

Package: libkf6breezeicons6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

## kf6-breeze-icons 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
 project(BreezeIcons VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -10,7 +10,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -27,13 +27,25 @@
 include(ECMSetupVersion)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Gui)
 
 # Find Python 3
 find_package(Python 3 COMPONENTS Interpreter)
 
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
+
+# We need this for KDE-BUG 499674. qt_add_resources has issues with 32-bit
+# systems, while qt_add_big_resources has issues with LTO. We use qt_add_big_resources
+# and disable LTO.
+check_cxx_compiler_flag(-fno-lto COMPILER_SUPPORTS_NO_LTO)
+check_cxx_compiler_flag(/GL- COMPILER_SUPPORTS_NO_GL)
+if(COMPILER_SUPPORTS_NO_LTO)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-lto")
+elseif(COMPILER_SUPPORTS_NO_GL)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /GL-")
+endif()
+set(CMAKE_INTERPROCEDURAL_OPTIMIZATION OFF)
 
 if(Python_FOUND)
     # Find lxml Python 3 module

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

if(BUILD_TESTING)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui Test)

    configure_file(testdata.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/testdata.h)
    ecm_add_test(scalabletest.cpp
        TEST_NAME "scalable"
        LINK_LIBRARIES Qt6::Test
    )
    ecm_add_test(resourcetest.cpp
        TEST_NAME "resource"
        LINK_LIBRARIES KF6BreezeIcons Qt6::Gui Qt6::Test
    )
    if(WITH_ICON_GENERATION)
        add_test(NAME "test24x24icons" COMMAND ${Python_EXECUTABLE} ${CMAKE_SOURCE_DIR}/autotests/test24x24icons.py
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        )
    endif()
endif()

=== debian/changelog ===
kf6-breeze-icons (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:12:43 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                fdupes,
                libxkbcommon-dev,
                libxml2-utils,
